> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stats

> Retrieve statistics for a library.



## OpenAPI

````yaml get /workspaces/libraries/stats
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/libraries/stats:
    get:
      tags:
        - Library
      description: Retrieve statistics for a library.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: query
          name: library_id
          schema:
            type: string
      responses:
        '200':
          description: The library statistics
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LibraryStats'
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    LibraryStats:
      type: object
      description: Statistics related to a library
      properties:
        total_files:
          type: integer
          description: The total number of files in the library
        total_size:
          type: integer
          description: The total size of the library in bytes
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````